Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl.deploy
Class DeploymentDescriptorManager

    java.lang.Object
      org.jbpm.runtime.manager.impl.deploy.DeploymentDescriptorManager

    public class DeploymentDescriptorManager

extends Object

Constructor Summary
`DeploymentDescriptorManager()`
`DeploymentDescriptorManager(String defaultPU)`

Method Summary
`protected void` | `collectDeploymentDescriptors(org.drools.compiler.kie.builder.impl.InternalKieModule kmodule, List<org.kie.internal.runtime.conf.DeploymentDescriptor> descriptorHierarchy)`
`org.kie.internal.runtime.conf.DeploymentDescriptor` | `getDefaultDescriptor()`
`protected URL` | `getDefaultdescriptorlocation()`
`List<org.kie.internal.runtime.conf.DeploymentDescriptor>` | `getDeploymentDescriptorHierarchy(KieContainer kieContainer)`
`protected org.kie.internal.runtime.conf.DeploymentDescriptor` | `getDescriptorFromKModule(org.drools.compiler.kie.builder.impl.InternalKieModule kmodule)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentDescriptorManager

    public DeploymentDescriptorManager()

### DeploymentDescriptorManager

    public DeploymentDescriptorManager(String defaultPU)

Method Detail

### getDefaultDescriptor

    public org.kie.internal.runtime.conf.DeploymentDescriptor getDefaultDescriptor()

### getDeploymentDescriptorHierarchy

    public List<org.kie.internal.runtime.conf.DeploymentDescriptor> getDeploymentDescriptorHierarchy(KieContainer kieContainer)

### getDefaultdescriptorlocation

    protected URL getDefaultdescriptorlocation()

### collectDeploymentDescriptors

    protected void collectDeploymentDescriptors(org.drools.compiler.kie.builder.impl.InternalKieModule kmodule,
                                                List<org.kie.internal.runtime.conf.DeploymentDescriptor> descriptorHierarchy)

### getDescriptorFromKModule

    protected org.kie.internal.runtime.conf.DeploymentDescriptor getDescriptorFromKModule(org.drools.compiler.kie.builder.impl.InternalKieModule kmodule)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.